/**
 * Constant定義ファイル
 */
const readyState = {
  UNINITIALIZED: 0,
  LOADING: 1,
  LOADED: 2,
  INTERACTIVE: 3,
  COMPLETED: 4,
};

const messageType = {
    TEXT : 0 ,
    IMAGE : 1 ,
    VIDEO : 2 ,
    SYSTEM : 3 ,
    COMMUNICATIONSTART : 4,
    COMMUNICATIONEND : 5
}

const userAPICmd = {
    MYINFO : 9
}

const chatRoomType = {
    DM : "1",
    GROUP : "0",
    ALL : "2"
}

const groupSearchFlg = {
    ROOT : "0"
}

const nameCardAreaId = {
    MY : "myNamecard",
    USER : "userNamecard"
}

const collaborationTypeKey = {
    AUDIO : "audio",
    CAMERA : "camera",
    VIDEO : "video" ,
    DOCUMENT : "document"
}

const collaborationType = {
    AUDIO : 0,
    CAMERA : 2,
    VIDEO : 3,
    DOCUMENT : 4
}

const makeRoomFlg = {
    NAME_CARD : 0,
    MAKE_ROOM : 1
}

const messageSeperator = "<::split>";
const dataMessageScheme = "::NOT_MESSAGE";
